/**
 * Like Number.prototype.toString() but excluding the exponential info for small and big numbers.
 * e.g.
 *     Small numbers:
 *         value: 0.0000000000001234 (1.234e-13)
 *         toString() => "1.234e-13"
 *         numberToStringWithoutExponent() => "0.0000000000001234"
 *     Big numbers:
 *         value: 1234123412341230000000 (1.234123412341234e+21)
 *         toString() => "1.234123412341234e+21"
 *         numberToStringWithoutExponent() => "1234123412341230000000"
 */
declare const numberToNonExponentialString: (value: number) => string;
export default numberToNonExponentialString;
