'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var isFunction = require('./core/utils/is-function.js');
var merge = require('./core/utils/merge.js');
var isObject = require('./core/utils/is-object.js');
var isString = require('./core/utils/is-string.js');
var format$1 = require('./formatter/format/format.js');

function format(number, arg2, arg3) {
    const pattern = isString(arg2) ? arg2 : null;
    const options = isObject(arg2) ? arg2 : (isObject(arg3) ? arg3 : {});
    return format$1(number, pattern, options);
}
const createFormatFunction = (options) => {
    const baseOptions = merge(options, {
        locale: isFunction(options.locale) ? options.locale() : options.locale,
    });
    return ((value, arg2, arg3) => {
        const pattern = isString(arg2) ? arg2 : null;
        const optionsFromArguments = isObject(arg2) ? arg2 : (isObject(arg3) ? arg3 : {});
        return format$1(value, pattern, merge(baseOptions, optionsFromArguments));
    });
};
format.withOptions = createFormatFunction;

exports.createFormatFunction = createFormatFunction;
exports.default = format;
