/**
 * Checks if abbreviation is wanted
 * <i> Applied only when 'a' is present.
 * <i> If 'a' is followed by 'k' | 'm' | 'b' | 't', then, it will force the abbreviation to be the specified
 *     unit. (e.g. (123456.78, '0,0.00am')  =>  '0.12M')
 */
declare const abbreviationRule: (patternMask: string) => readonly [string, {
    readonly compact: boolean;
    readonly compactUnit: "k" | "m" | "b" | "t" | null;
    readonly compactAuto: boolean;
}];
export default abbreviationRule;
