'use strict';

var patternRegexpUtils = require('../utils/pattern-regexp-utils.js');
var numberToFormattedNumber = require('../format/number-to-formatted-number/number-to-formatted-number.js');

const ordinalFormatter = {
    name: 'ordinal',
    regexps: {
        format: /o/,
    },
    format: (number, pattern, options) => {
        var _a, _b;
        const localizedOrdinal = ((_b = (_a = options.locale).ordinal) === null || _b === void 0 ? void 0 : _b.call(_a, number)) || '';
        const patternWithEscapedOrdinal = patternRegexpUtils.patternReplace(pattern, /o/, `'ɵordɵ'`);
        const formatResult = numberToFormattedNumber(number, patternWithEscapedOrdinal, options);
        return formatResult.replace('ɵordɵ', _ => localizedOrdinal);
    }
};

module.exports = ordinalFormatter;
