'use strict';

var memoize = require('../../core/utils/memoize.js');
var unitScale = require('../../core/utils/unit-scale.js');
var stringRepeat = require('../../core/utils/string-repeat.js');

const baseCreateUnitScaleFromLocaleAbbreviations = (str) => {
    if (!str) {
        return unitScale.unitScale({ base: '', scale: {} });
    }
    const scale = str.split('|');
    const scaleDefinition = { ['']: 1 };
    scale.forEach((scaleItem, scaleItemIndex) => {
        if (!scaleItem)
            return;
        scaleDefinition[scaleItem] = +(1 + stringRepeat('0', scaleItemIndex));
    });
    return unitScale.unitScale({ base: '', scale: scaleDefinition });
};
const createUnitScaleFromLocaleAbbreviations = memoize(baseCreateUnitScaleFromLocaleAbbreviations);

module.exports = createUnitScaleFromLocaleAbbreviations;
